Bug 474536 - F10 has no new update notification
F10 has no new update notification
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
10
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-04 06:08 EST by cross
Modified: 2009-04-15 12:18 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-15 12:18:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description cross 2008-12-04 06:08:58 EST
Description of problem:
I just notice that by chance there are new updates in repositories, but no notification from the system tray.

Version-Release number of selected component (if applicable):
Fedora 10; Packagekit 0.3.9-4.fc10,(gpk-update-icon 0.3.9)

How reproducible:
Get some updates for your system, then to check is there any notification for that.

Steps to Reproduce:
1. goto System-Administration-Software Sources, tick off 'rawhide', in this case you will have hundreds of updates available.
2. In terminal run 'sudo yum clean all'. All the old cache will be removed, and system should sync with new repositories.
3. Restart or log out/log in, after 1 or 2 minutes, packagekit has finished the check, but no new updates notification.

Note: in my test, the first time you did these 3 steps, 'preupgrade' will be automatically installed, this installation will trigger 'yumBackend.py', which will bring updates notification. But you log out then log in again, then no notification again.
  
Actual results:
Even there are some new updates, the packagekit doesn't show up any notification.

Expected results:
new updates come, notifications to let users know.

Additional info:
Comment 1 Richard Hughes 2008-12-04 07:27:01 EST
PackageKit only checks once per the update interval, by default once every day. It does not check on every desktop login.

You can change this behaviour by changing /apps/gnome-packagekit/force_get_updates_login to TRUE in gconf-editor. The description of this key is: "Get the update list when the session starts, even if not scheduled to. This ensures the user has up to date and valid data in the tray at startup."
Comment 2 Alex Makhlin 2008-12-11 12:56:09 EST
I am having the same problem with Fedora 10. If I set my settings to do auto updates then I am notified that the updates are being installed but if I select no auto updates and to just notify me first, I never get the notification. Only updates through the terminal using the yum update command or Yumex works.
Comment 3 Alex Makhlin 2008-12-11 12:58:45 EST
(In reply to comment #1)
> PackageKit only checks once per the update interval, by default once every day.
> It does not check on every desktop login.
> 
> You can change this behaviour by changing
> /apps/gnome-packagekit/force_get_updates_login to TRUE in gconf-editor. The
> description of this key is: "Get the update list when the session starts, even
> if not scheduled to. This ensures the user has up to date and valid data in the
> tray at startup."

How do I change this behaviour in KDE?
Comment 4 Steven M. Parrish 2009-01-09 14:03:25 EST
(In reply to comment #3)
> (In reply to comment #1)
> > PackageKit only checks once per the update interval, by default once every day.
> > It does not check on every desktop login.
> > 
> > You can change this behaviour by changing
> > /apps/gnome-packagekit/force_get_updates_login to TRUE in gconf-editor. The
> > description of this key is: "Get the update list when the session starts, even
> > if not scheduled to. This ensures the user has up to date and valid data in the
> > tray at startup."
> 
> How do I change this behaviour in KDE?

System Settings -> Add and Remove Software -> Settings
Comment 5 Richard Hughes 2009-01-14 08:33:31 EST
cross, is the gpk-update-icon process running?
Comment 6 iarly selbir 2009-03-03 19:09:13 EST
cross, some feedback to the Richard's question?

Please give us a reply.

Thanks.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 7 cross 2009-03-04 03:54:06 EST
You are totally right. After modified some configuration in gconf-editor, everything works as expected.

(In reply to comment #5)
> cross, is the gpk-update-icon process running?
Comment 8 Richard Hughes 2009-04-15 12:18:23 EDT
Cool, thanks.

Note You need to log in before you can comment on or make changes to this bug.